Show / Hide Table of Contents

# Class SocketVoiceServer

Represents a WebSocket-based voice server.

##### Inheritance

System.Object
SocketVoiceServer

##### Inherited Members

System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Discord.WebSocket

###### Assembly: Discord.Net.WebSocket.dll

##### Syntax

    public class SocketVoiceServer

### Properties

| Improve this Doc View Source

#### Endpoint

Gets the endpoint URL of the voice server host.

##### Declaration

    public string Endpoint { get; }

##### Property Value

Type | Description
--- | ---
System.String | An URL representing the voice server host.

| Improve this Doc View Source

#### Guild

Gets the guild associated with the voice server.

##### Declaration

    public Cacheable<IGuild, ulong> Guild { get; }

##### Property Value

Type | Description
--- | ---
Cacheable<IGuild, System.UInt64> | A cached entity of the guild.

| Improve this Doc View Source

#### Token

Gets the voice connection token.

##### Declaration

    public string Token { get; }

##### Property Value

Type | Description
--- | ---
System.String | A voice connection token.